body {
    background: white;
}

#hero {
    height: 100%;
    width: 100%;
    text-align: center;
}

.hero-banner {
    width: 100%;
    height: 27rem;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.hero-banner .img-overlay {
    background: rgba(28, 27, 27, 0.4);
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 0;
}

.hero-banner .banner-title {
    font-size: 5rem;
    color: white;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    text-shadow: 0px 0px 20px rgba(0,0,0,0.9);
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
    opacity: 0;
    transition: 1s ease-in-out all;
}

.hero-banner .banner-img {
    object-fit: cover;
    width: 100%;
    height: 27rem;
}

.hero-banner .banner-logo {
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
    width: 35rem;
    opacity: 0;
    transition: 1s ease-in-out all;
}

.hero-banner video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-about {
    color: var(--main-dark-blue);
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 4rem 0 4rem;
    gap: 3rem;
    margin: 8rem 0 6rem 0;
}

.hero-verse h1 {
    font-family: "Playfair Display";
    margin: 0;
    text-wrap: pretty;
}

.hero-verse h3 {
    color: var(--main-light-orange);
    font-weight: 400;
    letter-spacing: 2px;
}

.hero-about p {
    border: 2px solid var(--main-light-blue);
    border-radius: 10px;
    padding: 3rem;
    font-size: 1.1rem;
}

/* Event promo section */
#event-promo {
    width: 100vw;
    height: 110vh;
    overflow: hidden;
    padding: 0 1rem;
    margin: 0;
}

.event-photo {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}

#event-photo-square, #event-photo-tall {
    display: none;
}

/* ministry events section */
#events {
    width: 100vw;
    height: 100%;
    margin: 4rem 0 0rem 0;
}

#events h1 {
    text-align: center;
    color: var(--main-dark-blue);
}

#events .event:first-of-type {
    border-top: 1px solid var(--main-light-blue);
}

.event {
    display: flex;
    align-items: center;
    gap: 4rem;
    height: 20rem;
    border-bottom: 1px solid var(--main-light-blue);
    color: var(--main-black);
}

.event img {
    height: 100%;
    width: 20rem;
    border-right: 1px solid var(--main-yellow);
    object-fit: cover;
}

.event-info {
    display: flex;
    flex-direction: column;
    padding: 2rem;
    overflow: hidden;
    height: 100%;
    justify-content: center;
}

.event-title-time {
    display: flex;
    flex-direction: column;
    gap: 0;
}

.event-title-time h2, .event-title-time p {
    padding: 0;
    margin: 0;
}

.event-description {
    color: var(--main-dark-blue);
    max-height: 100%;
    overflow: scroll;
}

.event-placeholder {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 20rem;
    border-bottom: 1px solid var(--main-light-blue);
    border-top: 1px solid var(--main-light-blue);
    background: var(--very-light-gray);
    color: gray;
    text-align: center;
}

@media screen and (max-width: 1000px) {
    #event-photo-wide {
        display: none;
    }

    #event-photo-square {
        display: block;
    }
}

@media screen and (max-width: 700px) {
    #event-photo-square {
        display: none;
    }

    #event-photo-tall {
        display: block;
    }
}

@media screen and (max-width: 600px) {
    .event {
        flex-direction: column;
        height: 100%;
        padding: 4rem 0 2rem 0;
        gap: 2rem;
    }

    .event img {
        width: 83%;
        border-radius: 10px;
        border-right: none;
        box-shadow: 0 0px 15px rgba(0, 0, 0, 0.3);
    }

    .event-info {
        padding: 2rem 4rem 2rem 4rem;
    }
}

@media screen and (max-width: 500px) {
    .hero-banner {
        height: 21rem;
    }

    .hero-about {
        margin-top: 7rem;
    }

    .hero-banner .banner-title {
        font-size: 3.5rem;
    }
}

@media screen and (max-width: 400px) {
    .hero-banner {
        height: 19rem;
    }

    .hero-verse h1 {
        font-size: 2.5rem;
    }

    .hero-about {
        margin-top: 6rem;
        padding: 0 1rem;
    }

    .hero-about p {
        padding: 2.5rem;
    }
}

